> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Get deployment authorization

> Returns connected accounts and the authorization requirements for a deployment.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json get /deployments/{deploymentId}/authorization
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /deployments/{deploymentId}/authorization:
    get:
      tags:
        - Deployments
      summary: Get deployment authorization
      description: >-
        Returns connected accounts and the authorization requirements for a
        deployment.
      operationId: getDeploymentAuthorization
      parameters:
        - name: deploymentId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        checkedAt:
                          anyOf:
                            - type: string
                              format: date-time
                              x-native-type: date
                            - type: 'null'
                        connectionMethodId:
                          type: string
                          minLength: 1
                        error:
                          anyOf:
                            - type: object
                              properties:
                                code:
                                  type: string
                                message:
                                  type: string
                              required:
                                - code
                                - message
                            - type: 'null'
                        id:
                          type: string
                        label:
                          type: string
                        scopes:
                          type: array
                          items:
                            type: string
                        serviceId:
                          type: string
                        serviceSub:
                          type: string
                      required:
                        - checkedAt
                        - connectionMethodId
                        - error
                        - id
                        - label
                        - scopes
                        - serviceId
                        - serviceSub
                  requirements:
                    type: array
                    items:
                      type: object
                      properties:
                        accountId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        binding:
                          type: string
                        connections:
                          type: array
                          minItems: 1
                          items:
                            type: object
                            properties:
                              connectionMethodId:
                                type: string
                                minLength: 1
                              minimalScopes:
                                type: array
                                items:
                                  type: string
                              requiredScopes:
                                type: array
                                items:
                                  anyOf:
                                    - type: string
                                    - type: object
                                      properties:
                                        requirements:
                                          type: array
                                          items:
                                            anyOf:
                                              - type: string
                                              - type: object
                                                properties:
                                                  requirements: {}
                                                  type: {}
                                                additionalProperties: false
                                        type:
                                          enum:
                                            - and
                                            - or
                                          type: string
                                      required:
                                        - requirements
                                        - type
                                      additionalProperties: false
                            required:
                              - connectionMethodId
                              - minimalScopes
                              - requiredScopes
                        eligibleAccountIds:
                          type: array
                          items:
                            type: string
                        satisfied:
                          type: boolean
                        serviceId:
                          type: string
                          minLength: 1
                      required:
                        - accountId
                        - binding
                        - connections
                        - eligibleAccountIds
                        - satisfied
                        - serviceId
                required:
                  - accounts
                  - requirements
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````